Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra
Class FactoryFinder

    java.lang.Object
      org.apache.myfaces.orchestra.FactoryFinder

    public class FactoryFinder

extends java.lang.Object

A factory of factory classes, just like the JSF javax.faces.FactoryFinder class.

This class ensures that the user can configure their own instances of the critical orchestra factory classes by defining beans with appropriate names in the dependency injection framework. Orchestra code should always use the factory-finder methods here when creating object instances, instead of the "new" operator.

The factory classes returned here should all be thread-safe; they are effectively "application scoped" objects.

Field Summary
`static java.lang.String` | `CONVERSATION_CONTEXT_FACTORY_KEY`
`static java.lang.String` | `CONVERSATION_MANAGER_FACTORY_KEY`

Constructor Summary
`FactoryFinder()`

Method Summary
`static ConversationContextFactory` | `getConversationContextFactory()` Return an object that implements interface ConversationContextFactory.
`static ConversationManagerFactory` | `getConversationManagerFactory()` Return an object that implements interface ConversationManagerFactory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERSATION_MANAGER_FACTORY_KEY

    public static final java.lang.String CONVERSATION_MANAGER_FACTORY_KEY

### CONVERSATION_CONTEXT_FACTORY_KEY

    public static final java.lang.String CONVERSATION_CONTEXT_FACTORY_KEY

Constructor Detail

### FactoryFinder

    public FactoryFinder()

Method Detail

### getConversationManagerFactory

    public static ConversationManagerFactory getConversationManagerFactory()

  Return an object that implements interface ConversationManagerFactory.

  Normally, the returned object will be an instance of ConversationManagerFactoryImpl.

### getConversationContextFactory

    public static ConversationContextFactory getConversationContextFactory()

  Return an object that implements interface ConversationContextFactory.

  Normally, the returned object will be an instance of ConversationContextFactoryImpl. However users can configure a bean in the DI framework to specify a different class - or to return an instance of ConversationContextFactoryImpl with a custom timeout value configured.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.